Subject: Re: bug#25408: Remove Decorations Around Emacs Frame (Windows OS)

From: martin rudalics <[email-masked]>
Date: Tue, 07 Feb 2017 07:53:33 +0100

> Are your changes available in a branch of the repo?

No.  But I hope that I can post a patch by the end of this week.

 > I'd be very happy
 > to test them, and some modes like company-mode would benefit
 > significantly (I tried to tackle this in "Could x-show-tip be
 > reimplemented in Elisp? How does one create borderless frames from
 > Elisp?" a while ago).

Creating borderless frames and giving them back their border is fairly
trivial.  The greater problem is how to synchronize the behavior of such
a frame with that of another one (moving, sizing, focusing, restacking
and the like) and do that consistently across our windows systems.

I've practically solved all these problems but am not yet sure whether
the issue I found in "A GTK-only problem when making frames invisible"
could have a detrimental impact.

martin